<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:cim="http://schemas.dmtf.org/wbem/wscim/1/common" xmlns:class="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_BGPAttributesForRoute" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" elementFormDefault="qualified" targetNamespace="http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/CIM_BGPAttributesForRoute">
<xs:import namespace="http://schemas.dmtf.org/wbem/wscim/1/common" schemaLocation="http://schemas.dmtf.org/wbem/wscim/1/common.xsd"/>
<xs:element name="Antecedent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Antecedent</cim:Qualifier>
<cim:Qualifier name="Max" type="cim:cimUnsignedInt">1</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The BGPPathAttribute object that may be associated with a BGPIPRoute.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_BGPAttributesForRoute"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="Dependent" type="cim:cimReference">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Override" type="cim:cimString">Dependent</cim:Qualifier>
<cim:Qualifier name="Max" type="cim:cimUnsignedInt">1</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">The BGPIPRoute that may have an associated set of per-peer attributes.</cim:Qualifier>
<cim:Qualifier name="Key" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Classorigin name="CIM_BGPAttributesForRoute"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="PathAttrPeer" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">This defines the IP address of the peer where the path information was learned.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BGP4-MIB.bgp4PathAttrPeer</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_BGPAttributesForRoute.PathAttrIPAddrPrefixLen</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_BGPAttributesForRoute.PathAttrIPAddrPrefix</cim:Qualifier>
<cim:Classorigin name="CIM_BGPAttributesForRoute"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="PathAttrIPAddrPrefixLen" nillable="true" type="cim:cimUnsignedByte">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">This defines the length in bits of the IP address prefix for the property, PathAttrPeer. The range is 0 to 32.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BGP4-MIB.bgp4PathAttrIpAddrPrefixLen</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_BGPAttributesForRoute.PathAttrPeer</cim:Qualifier>
<cim:Classorigin name="CIM_BGPAttributesForRoute"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="PathAttrIPAddrPrefix" nillable="true" type="cim:cimString">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Qualifier name="Description" type="cim:cimString">The IP address prefix of the property, PathAttrPeer. Its length is specified by the property, PathAttrIpAddrPrefixLen.</cim:Qualifier>
<cim:Qualifier name="MappingStrings" type="cim:cimString">MIB.IETF|BGP4-MIB.bgp4PathAttrIpAddrPrefix</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_BGPAttributesForRoute.PathAttrPeer</cim:Qualifier>
<cim:Qualifier name="ModelCorrespondence" type="cim:cimString">CIM_BGPAttributesForRoute.PathAttrIPAddrPrefixLen</cim:Qualifier>
<cim:Classorigin name="CIM_BGPAttributesForRoute"/>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:element name="CIM_BGPAttributesForRoute" type="class:CIM_BGPAttributesForRoute_Type">
<xs:annotation>
<xs:appinfo source="http://schemas.dmtf.org/wbem/wscim/1/common">
<cim:Class name="CIM_BGPAttributesForRoute" superclass="CIM_Dependency"/>
<cim:Qualifier name="Association" type="cim:cimBoolean">true</cim:Qualifier>
<cim:Qualifier name="Version" type="cim:cimString">2.7.0</cim:Qualifier>
<cim:Qualifier name="UMLPackagePath" type="cim:cimString">CIM::Network::BGP</cim:Qualifier>
<cim:Qualifier name="Description" type="cim:cimString">This defines the attributes that are transmitted between BGP peers on a per-route basis.</cim:Qualifier>
</xs:appinfo>
</xs:annotation>
</xs:element>
<xs:complexType name="CIM_BGPAttributesForRoute_Type">
<xs:sequence>
<xs:element ref="class:Antecedent"/>
<xs:element ref="class:Dependent"/>
<xs:element minOccurs="0" ref="class:PathAttrIPAddrPrefix"/>
<xs:element minOccurs="0" ref="class:PathAttrIPAddrPrefixLen"/>
<xs:element minOccurs="0" ref="class:PathAttrPeer"/>
<xs:any maxOccurs="unbounded" minOccurs="0" namespace="##other" processContents="lax"/>
</xs:sequence>
<xs:anyAttribute namespace="##any" processContents="lax"/>
</xs:complexType>
</xs:schema>
